Package com.evopdf

# Enum Blending

java.lang.Object
java.lang.Enum<Blending>
com.evopdf.Blending

All Implemented Interfaces:
  `Serializable`, `Comparable<Blending>`, `java.lang.constant.Constable`

public enum Blending extends Enum<Blending>
The blending function for transparent rendering mode

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Color`
  Creates a color with the hue and saturation of the source color and the luminosity of the backdrop color.
  `ColorBurn`
  Darkens the backdrop color to reflect the source color.
  `ColorDodge`
  Brightens the backdrop color to reflect the source color.
  `Darken`
  Selects the darker of the backdrop and source colors.
  `Difference`
  Subtracts the darker of the two constituent colors from the lighter color.
  `Exclusion`
  Produces an effect similar to that of the Difference mode but lower in contrast.
  `HardLight`
  Multiplies or screens the colors, depending on the source color value.
  `Hue`
  Creates a color with the hue of the source color and the saturation and luminosity of the backdrop color.
  `Lighten`
  Selects the lighter of the backdrop and source colors.
  `Luminosity`
  Creates a color with the luminosity of the source color and the hue and saturation of the backdrop color.
  `Multiply`
  Multiplies the backdrop and source color values
  `Normal`
  Selects the source color, ignoring the backdrop
  `Overlay`
  Multiplies or screens the colors, depending on the backdrop color value.
  `Saturation`
  Creates a color with the saturation of the source color and the hue and luminosity of the backdrop color.
  `Screen`
  Multiplies the complements of the backdrop and source color values, then complements the result
  `SoftLight`
  Darkens or lightens the colors, depending on the source color value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static Blending`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Blending[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Normal

    public static final Blending Normal
    Selects the source color, ignoring the backdrop

  - ### Multiply

    public static final Blending Multiply
    Multiplies the backdrop and source color values

  - ### Screen

    public static final Blending Screen
    Multiplies the complements of the backdrop and source color values, then complements the result

  - ### Overlay

    public static final Blending Overlay
    Multiplies or screens the colors, depending on the backdrop color value. Source colors overlay the backdrop while preserving its highlights and shadows. The backdrop color is not replaced but is mixed with the source color to reflect the lightness or darkness of the backdrop

  - ### Darken

    public static final Blending Darken
    Selects the darker of the backdrop and source colors.

  - ### Lighten

    public static final Blending Lighten
    Selects the lighter of the backdrop and source colors.

  - ### ColorDodge

    public static final Blending ColorDodge
    Brightens the backdrop color to reflect the source color. Painting with black produces no changes.

  - ### ColorBurn

    public static final Blending ColorBurn
    Darkens the backdrop color to reflect the source color. Painting with white produces no change.

  - ### HardLight

    public static final Blending HardLight
    Multiplies or screens the colors, depending on the source color value. The effect is similar to shining a harsh spotlight on the backdrop.

  - ### SoftLight

    public static final Blending SoftLight
    Darkens or lightens the colors, depending on the source color value. The effect is similar to shining a diffused spotlight on the backdrop.

  - ### Difference

    public static final Blending Difference
    Subtracts the darker of the two constituent colors from the lighter color.

  - ### Exclusion

    public static final Blending Exclusion
    Produces an effect similar to that of the Difference mode but lower in contrast. Painting with white inverts the backdrop color; painting with black produces no change.

  - ### Hue

    public static final Blending Hue
    Creates a color with the hue of the source color and the saturation and luminosity of the backdrop color.

  - ### Saturation

    public static final Blending Saturation
    Creates a color with the saturation of the source color and the hue and luminosity of the backdrop color. Painting with this mode in an area of the backdrop that is a pure gray (no saturation) produces no change.

  - ### Color

    public static final Blending Color
    Creates a color with the hue and saturation of the source color and the luminosity of the backdrop color.

  - ### Luminosity

    public static final Blending Luminosity
    Creates a color with the luminosity of the source color and the hue and saturation of the backdrop color. This produces an inverse effect to that of the Color mode.

- ## Method Details

  - ### values

    public static Blending[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Blending valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()